<?php

namespace Drupal\webt\Model;

/**
 * Translatable string types.
 */
class StringType {
  const ENTITY = 'entity';
  const CONFIG = 'configuration';
  const UI     = 'ui';

  /**
   * Retrieves all string types listed above.
   *
   * @return array
   *   StringType list
   */
  public static function getAllTypes() {
    $oClass = new \ReflectionClass(__CLASS__);
    return $oClass->getConstants();
  }

  /**
   * Retrieves localized display name for given string type.
   *
   * @param string $type
   *   String type.
   *
   * @return string
   *   Localized StringType names
   */
  public static function getDisplayName($type) {
    switch ($type) {
      case self::ENTITY:
        return t('Entities');

      case self::CONFIG:
        return t('Configuration');

      case self::UI:
        return t('UI elements');
    }
  }

}
